Loading...
Searching...
No Matches
Opm::GasLiftGroup Class Reference

Gas lift optimisation parameters at the group level. More...

`#include <GasLiftOpt.hpp>`

## Public Member Functions

| GasLiftGroup ()=default
| Default constructor.
| GasLiftGroup (const std::string &name)
| Construct gas lift optimisation parameter collection for a single group.
| GasLiftGroup (const RestartIO::RstGroup &rst_group)
| Construct gas lift optimisation parameter collection for a single group from restart file representation.
const std::optional< double > & | max_lift_gas () const
| Maximum lift gas limit for this group.
void | max_lift_gas (const double value)
| Assign maximum lift gas limit for this group.
const std::optional< double > & | max_total_gas () const
| Maximum total gas limit for this group.
void | max_total_gas (const double value)
| Assign maximum total gas limit for this group.
const std::string & | name () const
| Group name.
template<class Serializer>
void | serializeOp (Serializer &serializer)
| Convert between byte array and object representation.
bool | operator== (const GasLiftGroup &other) const
| Equality predicate.

## Static Public Member Functions

static bool | active (const RestartIO::RstGroup &rst_group)
| Predicate for whether or not gas lift optimisation applies to a group at simulation restart time.
static GasLiftGroup | serializationTestObject ()
| Create a serialisation test object.

## Detailed Description

Gas lift optimisation parameters at the group level.

## Constructor & Destructor Documentation

## GasLiftGroup() [1/3]

Opm::GasLiftGroup::GasLiftGroup | ( |  | ) |

default

Default constructor.

Resulting object mostly usable as a target for a deserialisation operation.

## GasLiftGroup() [2/3]

Opm::GasLiftGroup::GasLiftGroup | ( | const std::string & | name | ) |

inline explicit

Construct gas lift optimisation parameter collection for a single group.

Parameters

  [in] | name | Group name.

## GasLiftGroup() [3/3]

Opm::GasLiftGroup::GasLiftGroup | ( | const RestartIO::RstGroup & | rst_group | ) |

explicit

Construct gas lift optimisation parameter collection for a single group from restart file representation.

Parameters

  [in] | rst_group | Restart file representation of group object.

## Member Function Documentation

## active()

bool Opm::GasLiftGroup::active | ( | const RestartIO::RstGroup & | rst_group | ) |

static

Predicate for whether or not gas lift optimisation applies to a group at simulation restart time.

Parameters

  [in] | rst_group | Restart file representation of group object.

Returns
  Whether or not gas lift optimisation applies to this particular group.

## max_lift_gas() [1/2]

const std::optional< double > & Opm::GasLiftGroup::max_lift_gas | ( |  | ) | const

inline

Maximum lift gas limit for this group.

Nullopt for no limit.

## max_lift_gas() [2/2]

void Opm::GasLiftGroup::max_lift_gas | ( | const double | value | ) |

inline

Assign maximum lift gas limit for this group.

Parameters

  [in] | value | Maximum lift gas limit. Used only if non-negative.

## max_total_gas() [1/2]

const std::optional< double > & Opm::GasLiftGroup::max_total_gas | ( |  | ) | const

inline

Maximum total gas limit for this group.

Sum of lift gas and produced gas.

Nullopt if not limit.

## max_total_gas() [2/2]

void Opm::GasLiftGroup::max_total_gas | ( | const double | value | ) |

inline

Assign maximum total gas limit for this group.

Parameters

  [in] | value | Maximum total gas limit. Used only if non-negative.

## name()

const std::string & Opm::GasLiftGroup::name | ( |  | ) | const

inline

Group name.

Mostly for convenience.

## operator==()

bool Opm::GasLiftGroup::operator== | ( | const GasLiftGroup & | other | ) | const

Equality predicate.

Parameters

  [in] | other | Object against which will be tested for equality.

Returns
  Whether or not
  is the same as `other`.

## serializeOp()

template<class Serializer>

void Opm::GasLiftGroup::serializeOp | ( | Serializer & | serializer | ) |

inline

Convert between byte array and object representation.

Template Parameters

  Serializer | Byte array conversion protocol.

Parameters

  [in,out] | serializer | Byte array conversion object.

The documentation for this class was generated from the following files:

- opm/input/eclipse/Schedule/GasLiftOpt.hpp
- opm/input/eclipse/Schedule/GasLiftOpt.cpp